package com.sooka.system.mapper;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.enums.DataSourceType;
import com.sooka.system.domain.TgjjBsxx;

/**
 * 报税信息Mapper接口
 *
 * @author lei
 * @date 2021-11-16
 */
@DataSource(value = DataSourceType.SLAVE)
public interface TgjjBsxxMapper
{
    /**
     * 查询报税信息
     *
     * @param ID 报税信息ID
     * @return 报税信息
     */
    public TgjjBsxx selectTgjjBsxxById(Long ID);

    /**
     * 查询报税信息列表
     *
     * @param tgjjBsxx 报税信息
     * @return 报税信息集合
     */
    public List<TgjjBsxx> selectTgjjBsxxList(TgjjBsxx tgjjBsxx);

    /**
     * 新增报税信息
     *
     * @param tgjjBsxx 报税信息
     * @return 结果
     */
    public int insertTgjjBsxx(TgjjBsxx tgjjBsxx);

    /**
     * 修改报税信息
     *
     * @param tgjjBsxx 报税信息
     * @return 结果
     */
    public int updateTgjjBsxx(TgjjBsxx tgjjBsxx);

    /**
     * 删除报税信息
     *
     * @param ID 报税信息ID
     * @return 结果
     */
    public int deleteTgjjBsxxById(Long ID);

    /**
     * 批量删除报税信息
     *
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjBsxxByIds(String[] IDs);
}
